## nss 3.36.1

=== debian/changelog ===
nss (2:3.36.1-1ubuntu1.2) cosmic-security; urgency=medium

  * SECURITY UPDATE: DoS in NULL pointer dereference in CMS functions
    - debian/patches/CVE-2018-18508-1.patch: add null checks in
      nss/lib/smime/cmscinfo.c, nss/lib/smime/cmsdigdata.c,
      nss/lib/smime/cmsencdata.c, nss/lib/smime/cmsenvdata.c,
      nss/lib/smime/cmsmessage.c, nss/lib/smime/cmsudf.c.
    - debian/patches/CVE-2018-18508-2.patch: add null checks in
      nss/lib/smime/cmsmessage.c.
    - CVE-2018-18508

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 19 Feb 2019 13:37:53 +0100

nss (2:3.36.1-1ubuntu1.1) cosmic-security; urgency=medium

  * SECURITY UPDATE: side-channel attack on ECDSA signatures
    - debian/patches/CVE-2018-0495.patch: improve ecdsa and dsa in
      nss/lib/freebl/dsa.c, nss/lib/freebl/ec.c.
    - CVE-2018-0495
  * SECURITY UPDATE: ServerHello.random is all zero in v2 ClientHello
    - debian/patches/CVE-2018-12384-1.patch: fix random logic in
      nss/lib/ssl/ssl3con.c.
    - debian/patches/CVE-2018-12384-2.patch: add tests to
      nss/gtests/ssl_gtest/ssl_loopback_unittest.cc,
      nss/gtests/ssl_gtest/ssl_v2_client_hello_unittest.cc.
    - CVE-2018-12384
  * SECURITY UPDATE: cache side-channel variant of the Bleichenbacher attack
    - debian/patches/CVE-2018-12404-1.patch: improve RSA key exchange
      handling in nss/lib/ssl/ssl3con.c.
    - debian/patches/CVE-2018-12404-2.patch: improve padding checks in
      RSA_DecryptBlock in nss/gtests/freebl_gtest/rsa_unittest.cc,
      nss/lib/freebl/rsapkcs.c.
    - debian/patches/CVE-2018-12404-3.patch: add constant time
      mp_to_fixlen_octets in nss/gtests/freebl_gtest/mpi_unittest.cc,
      nss/lib/freebl/mpi/mpi.c, nss/lib/freebl/mpi/mpi.h.
    - CVE-2018-12404
  * debian/patches/stringop_truncation.patch: fix FTBFS.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 12 Dec 2018 14:44:32 -0500

nss (2:3.36.1-1ubuntu1) cosmic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/libnss3.links: make freebl3 available as library (LP 1744328)
      - d/control: add dh-exec to Build-Depends
      - d/rules: make mkdir tolerate debian/tmp existing (due to dh-exec)
    - d/rules: when building with -O3 on ppc64el this FTBFS, build with
      -Wno-error=maybe-uninitialized to avoid that
  * Dropped changes:
    - revert switching to SQL default format (LP: 1746947) Dropping this
      adresses (LP: #1747411) and effectively means we now switch to the new
      default format after we ensured all depending packages are ready.
  * Added changes:
    - d/rules: extended the FTBFS to -O3 on ppc64el to only apply on ppc64el

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 07 May 2018 17:08:46 +0200

nss (2:3.36.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Update Maintainer and Vcs fields, moving off alioth.

 -- Mike Hommey <glandium@debian.org>  Tue, 10 Apr 2018 14:55:14 +0900

nss (2:3.36-1) unstable; urgency=medium

  * New upstream release. Closes: #894981.

 -- Mike Hommey <glandium@debian.org>  Sun, 08 Apr 2018 06:53:15 +0900

=== debian/control ===
Source: nss
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Maintainers of Mozilla-related packages <team+pkg-mozilla@tracker.debian.org>
Uploaders: Mike Hommey <glandium@debian.org>
Build-Depends: debhelper (>= 9.20160403),
 dh-exec,
 dpkg-dev (>= 1.17.14),
 libnspr4-dev (>= 2:4.12),
 zlib1g-dev,
 libsqlite3-dev (>= 3.3.9),
 libnss3-tools:native (>= 2:3.19-1-1~) <cross>
Standards-Version: 3.9.6.0
Homepage: http://www.mozilla.org/projects/security/pki/nss/
Vcs-Git: https://salsa.debian.org/mozilla-team/nss.git
Vcs-Browser: https://salsa.debian.org/mozilla-team/nss

Package: libnss3
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Conflicts: libnss3-1d (<< 2:3.13.4-2)
Multi-Arch: ${misc:Multi-Arch}
Description: Network Security Service libraries
 This is a set of libraries designed to support cross-platform development
 of security-enabled client and server applications. It can support SSLv2
 and  v4, TLS, PKCS #5, #7, #11, #12, S/MIME, X.509 v3 certificates and
 other security standards.

Package: libnss3-tools
Section: admin
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Network Security Service tools
 This is a set of tools on top of the Network Security Service libraries.
 This package includes:
  * certutil: manages certificate and key databases (cert7.db and key3.db)
  * modutil: manages the database of PKCS11 modules (secmod.db)
  * pk12util: imports/exports keys and certificates between the cert/key
    databases and files in PKCS12 format.
  * shlibsign: creates .chk files for use in FIPS mode.
  * signtool: creates digitally-signed jar archives containing files and/or
    code.
  * ssltap: proxy requests for an SSL server and display the contents of
    the messages exchanged between the client and server.
Homepage: http://www.mozilla.org/projects/security/pki/nss/tools/

Package: libnss3-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 libnss3 (= ${binary:Version}),
 libnspr4-dev (>= 4.6.6-1)
Multi-Arch: ${misc:Multi-Arch}
Description: Development files for the Network Security Service libraries
 This is a set of libraries designed to support cross-platform development
 of security-enabled client and server applications. It can support SSLv2
 and  v4, TLS, PKCS #5, #7, #11, #12, S/MIME, X.509 v3 certificates and
 other security standards.
 .
 Install this package if you wish to develop your own programs using the
 Network Security Service Libraries.

Package: libnss3-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
 libnss3 (= ${binary:Version}) | libnss3-tools (= ${binary:Version})
Conflicts: libnss3 (<< ${binary:Version}),
 libnss3 (>> ${binary:Version}),
 libnss3-tools (<< ${binary:Version}),
 libnss3-tools (>> ${binary:Version})
Multi-Arch: ${misc:Multi-Arch}
Description: Debugging symbols for the Network Security Service libraries
 This is a set of libraries designed to support cross-platform development
 of security-enabled client and server applications. It can support SSLv2
 and  v4, TLS, PKCS #5, #7, #11, #12, S/MIME, X.509 v3 certificates and
 other security standards.
 .
 This package provides the debugging symbols for the library.

=== debian/rules ===
#!/usr/bin/make -f
include debian/make.mk

$(call lazy,DEB_BUILD_ARCH,$$(shell dpkg-architecture -qDEB_BUILD_ARCH))
$(call lazy,DEB_BUILD_GNU_TYPE,$$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE))
$(call lazy,DEB_HOST_ARCH,$$(shell dpkg-architecture -qDEB_HOST_ARCH))
$(call lazy,DEB_HOST_ARCH_OS,$$(shell dpkg-architecture -qDEB_HOST_ARCH_OS))
$(call lazy,DEB_HOST_GNU_TYPE,$$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE))
$(call lazy,DEB_HOST_GNU_CPU,$$(shell dpkg-architecture -qDEB_HOST_GNU_CPU))
$(call lazy,DEB_HOST_MULTIARCH,$$(shell dpkg-architecture -qDEB_HOST_MULTIARCH))
$(call lazy,CFLAGS,$$(shell dpkg-buildflags --get CFLAGS))
$(call lazy,CPPFLAGS,$$(shell dpkg-buildflags --get CPPFLAGS))
$(call lazy,LDFLAGS,$$(shell dpkg-buildflags --get LDFLAGS))

ifneq (,$(filter -O3,$(CFLAGS)))
ifneq (,$(filter $(DEB_HOST_ARCH), ppc64el))
  CFLAGS := $(CFLAGS) -Wno-error=maybe-uninitialized
endif
endif

PREPROCESS_FILES := $(wildcard debian/*.in)

$(PREPROCESS_FILES:.in=): %: %.in
	sed 's,/@DEB_HOST_MULTIARCH@,$(DEB_HOST_MULTIARCH:%=/%),g;$(EXTRA_REPLACES)' $< > $@

UPSTREAM_VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: *\([0-9]*:\)\?\([^~]*\)\(~.*\)\?-.*$$/\2/ p')
MOD_MAJOR_VERSION := $(word 1, $(subst ., ,$(UPSTREAM_VERSION)))
MOD_MINOR_VERSION := $(word 2, $(subst ., ,$(UPSTREAM_VERSION)))
MOD_PATCH_VERSION := $(or $(word 3, $(subst ., ,$(UPSTREAM_VERSION))),0)

debian/nss.pc: EXTRA_REPLACES := s/@VERSION@/$(UPSTREAM_VERSION)/
debian/nss-config: EXTRA_REPLACES := s/@MOD_MAJOR_VERSION@/$(MOD_MAJOR_VERSION)/;s/@MOD_MINOR_VERSION@/$(MOD_MINOR_VERSION)/;s/@MOD_PATCH_VERSION@/$(MOD_PATCH_VERSION)/
debian/libnss3.lintian-overrides: EXTRA_REPLACES := s,/@DEB_HOST_MULTIARCH_WC@,$(DEB_HOST_MULTIARCH:%=/*),g

TOOLCHAIN :=

ifneq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
ifeq ($(origin CC),default)
TOOLCHAIN += CC=$(DEB_HOST_GNU_TYPE)-gcc
endif
ifeq ($(origin CXX),default)
CXX := $(DEB_HOST_GNU_TYPE)-g++
TOOLCHAIN += CXX=$(CXX)
endif
TOOLCHAIN += CCC=$(CXX)
ifeq ($(origin RANLIB),default)
TOOLCHAIN += RANLIB=$(DEB_HOST_GNU_TYPE)-ranlib
endif
TOOLCHAIN += OS_TEST=$(DEB_HOST_GNU_CPU)
TOOLCHAIN += KERNEL=$(DEB_HOST_ARCH_OS)
endif

# $(foreach foo,$(list),$(call cmd,some command $(foo))) expands to
#    some command first-elem
#    some command second-elem
#    etc.
# This avoid using a long one liner with semi colons.
define cmd
$(1)

endef

CFLAGS += -Wall -pipe

DISTDIR := $(CURDIR)/dist

COMMON_MAKE_FLAGS := \
	SOURCE_PREFIX=$(DISTDIR) \
	SOURCE_MD_DIR=$(DISTDIR) \
	DIST=$(DISTDIR) \
	OBJDIR_NAME=OBJS \
	$(and $(filter 64,$(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)),USE_64=1) \
	$(and $(filter x32,$(shell dpkg-architecture -qDEB_HOST_ARCH)),USE_X32=1) \
	$(NULL)

NSS_TOOLS := \
	certutil \
	chktest \
	cmsutil \
	crlutil \
	derdump \
	httpserv \
	modutil \
	ocspclnt \
	p7content \
	p7env \
	p7sign \
	p7verify \
	pk12util \
	pk1sign \
	pwdecrypt \
	rsaperf \
	selfserv \
	shlibsign \
	signtool \
	signver \
	ssltap \
	strsclnt \
	symkeyutil \
	tstclnt \
	vfychain \
	vfyserv \
	$(NULL)

override_dh_auto_build:
	$(MAKE) -C nss/coreconf/nsinstall \
		$(COMMON_MAKE_FLAGS) \
		CC=$(DEB_BUILD_GNU_TYPE)-gcc \
		ARCHFLAG=

	$(MAKE) -C nss \
		all \
		$(COMMON_MAKE_FLAGS) \
		MOZILLA_CLIENT=1 \
		NSPR_INCLUDE_DIR=/usr/include/nspr \
		NSPR_LIB_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
		BUILD_OPT=1 \
		NS_USE_GCC=1 \
		OPTIMIZER="$(CFLAGS) $(CPPFLAGS)" \
		LDFLAGS='$(LDFLAGS) $$(ARCHFLAG) $$(ZDEFS_FLAG)' \
		DSO_LDOPTS='-shared $$(LDFLAGS)' \
		NSS_USE_SYSTEM_SQLITE=1 \
		NSS_ENABLE_ECC=1 \
		CHECKLOC= \
		$(TOOLCHAIN)

override_dh_auto_clean:
	-$(MAKE) -C nss \
		clobber \
		$(COMMON_MAKE_FLAGS) \
		BUILD_OPT=1

	rm -rf $(DISTDIR) $(PREPROCESS_FILES:.in=)

manpage = $(addsuffix .1,$(addprefix nss/doc/nroff/,$(1)))

override_dh_auto_install: $(PREPROCESS_FILES:.in=)
	install -m 755 -d debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss debian/libnss3-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	install -m 644 -t debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH) \
		$(DISTDIR)/lib/libnss3.so \
		$(DISTDIR)/lib/libnssutil3.so \
		$(DISTDIR)/lib/libsmime3.so \
		$(DISTDIR)/lib/libssl3.so
	install -m 644 -t debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss \
		$(DISTDIR)/lib/libfreebl3.so \
		$(DISTDIR)/lib/libfreeblpriv3.so \
		$(DISTDIR)/lib/libsoftokn3.so \
		$(DISTDIR)/lib/libnssdbm3.so \
		$(DISTDIR)/lib/libnssckbi.so

	install -m 644 -t debian/libnss3-dev/usr/include/nss \
		$(DISTDIR)/public/nss/*
	install -m 644 -t debian/libnss3-dev/usr/lib/$(DEB_HOST_MULTIARCH) \
		$(DISTDIR)/lib/libcrmf.a
	install -m 644 -t debian/libnss3-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig debian/nss.pc
	install -m 755 -t debian/libnss3-dev/usr/bin debian/nss-config

	install -m 755 -t debian/libnss3-tools/usr/bin $(addprefix $(DISTDIR)/bin/,$(NSS_TOOLS))
	install -m 755 -d $(DISTDIR)/man
	install -m 644 -t $(DISTDIR)/man $(wildcard $(call manpage,$(NSS_TOOLS)))

	# these utilities are too generically-named, so we prefix them with nss- (see http://bugs.debian.org/701141)
	$(foreach bin, \
		addbuiltin \
		dbtest \
		pp \
		, \
		$(call cmd,install -m 755 -T $(DISTDIR)/bin/$(bin) debian/libnss3-tools/usr/bin/nss-$(bin)) \
		$(if $(wildcard $(call manpage,$(bin))),$(call cmd,install -m 644 -T $(call manpage,$(bin)) $(DISTDIR)/man/nss-$(bin).1)))

ifeq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
SHLIBSIGN = LD_LIBRARY_PATH=debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH) debian/libnss3-tools/usr/bin/shlibsign
else
SHLIBSIGN = shlibsign
endif

override_dh_strip:
	dh_strip -a --dbg-package=libnss3-dbg
	$(foreach lib,libsoftokn3.so libfreebl3.so libfreeblpriv3.so libnssdbm3.so, \
		$(call cmd,umask 022; $(SHLIBSIGN) -v -i debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss/$(lib)))

ifeq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
	# Check FIPS mode correctly works
	mkdir -p debian/tmp
	LD_LIBRARY_PATH=debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH):debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss debian/libnss3-tools/usr/bin/modutil -create -dbdir debian/tmp < /dev/null
	LD_LIBRARY_PATH=debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH):debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss debian/libnss3-tools/usr/bin/modutil -fips true -dbdir debian/tmp < /dev/null
endif

override_dh_makeshlibs:
	dh_makeshlibs -a -- -c4

ifneq (,$(DEB_HOST_MULTIARCH))
override_dh_gencontrol:
	dh_gencontrol -- -Vmisc:Multi-Arch=same
endif

override_dh_builddeb:
	dh_builddeb -- -Zxz

%:
	dh $@

## nss 3.38

=== debian/changelog ===
nss (2:3.38-1) unstable; urgency=medium

  * New upstream release.
  * debian/libnss3.symbols: Add NSSUTIL_3_38 symbol version.

 -- Mike Hommey <glandium@debian.org>  Mon, 25 Jun 2018 07:26:21 +0900

nss (2:3.37.1-1) unstable; urgency=medium

  * New upstream release.
  * nss/lib/freebl/Makefile: Build FStar.c when not building with int128
    support. bz#1459739. Closes: #900227

 -- Mike Hommey <glandium@debian.org>  Mon, 28 May 2018 07:58:44 +0900

nss (2:3.37-1) unstable; urgency=medium

  * New upstream release. Fixes: #898496.
  * debian/control, debian/rules: Generate dbgsym package.AA
  * debian/copyright: Switch to machine-readable format.
  * debian/control: Bump Standards-Version to 4.1.4.

 -- Mike Hommey <glandium@debian.org>  Mon, 14 May 2018 07:15:21 +0900

## nss 3.39

=== debian/changelog ===
nss (2:3.39-1) unstable; urgency=medium

  * New upstream release.
    - Fixes CVE-2018-12384. Closes: #908332.
  * debian/libnss3.symbols: Add NSS_3_39 and NSSUTIL_3_39 symbol versions.

 -- Mike Hommey <glandium@debian.org>  Sun, 09 Sep 2018 08:03:39 +0900

## nss 3.41

=== debian/changelog ===
nss (2:3.41-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * No automatic dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 28 Jan 2019 12:45:55 -0800

nss (2:3.41-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Hommey <glandium@debian.org>  Wed, 12 Dec 2018 14:13:39 +0900

nss (2:3.40-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Hommey <glandium@debian.org>  Fri, 02 Nov 2018 14:44:19 +0900

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: nss
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Maintainers of Mozilla-related packages <team+pkg-mozilla@tracker.debian.org>
 Uploaders: Mike Hommey <glandium@debian.org>
 Build-Depends: debhelper (>= 9.20160403),
- dh-exec,
  dpkg-dev (>= 1.17.14),
  libnspr4-dev (>= 2:4.12),
  zlib1g-dev,
  libsqlite3-dev (>= 3.3.9),
  libnss3-tools:native (>= 2:3.19-1-1~) <cross>
-Standards-Version: 3.9.6.0
+Standards-Version: 4.1.4
 Homepage: http://www.mozilla.org/projects/security/pki/nss/
 Vcs-Git: https://salsa.debian.org/mozilla-team/nss.git
 Vcs-Browser: https://salsa.debian.org/mozilla-team/nss
@@ -63,22 +62,3 @@
  .
  Install this package if you wish to develop your own programs using the
  Network Security Service Libraries.
-
-Package: libnss3-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: ${misc:Depends},
- libnss3 (= ${binary:Version}) | libnss3-tools (= ${binary:Version})
-Conflicts: libnss3 (<< ${binary:Version}),
- libnss3 (>> ${binary:Version}),
- libnss3-tools (<< ${binary:Version}),
- libnss3-tools (>> ${binary:Version})
-Multi-Arch: ${misc:Multi-Arch}
-Description: Debugging symbols for the Network Security Service libraries
- This is a set of libraries designed to support cross-platform development
- of security-enabled client and server applications. It can support SSLv2
- and  v4, TLS, PKCS #5, #7, #11, #12, S/MIME, X.509 v3 certificates and
- other security standards.
- .
- This package provides the debugging symbols for the library.

=== debian/rules ===
--- 
+++ 
@@ -11,12 +11,6 @@
 $(call lazy,CFLAGS,$$(shell dpkg-buildflags --get CFLAGS))
 $(call lazy,CPPFLAGS,$$(shell dpkg-buildflags --get CPPFLAGS))
 $(call lazy,LDFLAGS,$$(shell dpkg-buildflags --get LDFLAGS))
-
-ifneq (,$(filter -O3,$(CFLAGS)))
-ifneq (,$(filter $(DEB_HOST_ARCH), ppc64el))
-  CFLAGS := $(CFLAGS) -Wno-error=maybe-uninitialized
-endif
-endif
 
 PREPROCESS_FILES := $(wildcard debian/*.in)
 
@@ -175,13 +169,13 @@
 endif
 
 override_dh_strip:
-	dh_strip -a --dbg-package=libnss3-dbg
+	dh_strip --no-automatic-dbgsym
 	$(foreach lib,libsoftokn3.so libfreebl3.so libfreeblpriv3.so libnssdbm3.so, \
 		$(call cmd,umask 022; $(SHLIBSIGN) -v -i debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss/$(lib)))
 
 ifeq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
 	# Check FIPS mode correctly works
-	mkdir -p debian/tmp
+	mkdir debian/tmp
 	LD_LIBRARY_PATH=debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH):debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss debian/libnss3-tools/usr/bin/modutil -create -dbdir debian/tmp < /dev/null
 	LD_LIBRARY_PATH=debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH):debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss debian/libnss3-tools/usr/bin/modutil -fips true -dbdir debian/tmp < /dev/null
 endif

## nss 3.42

=== debian/changelog ===
nss (2:3.42-1~mx17+1) mx; urgency=medium

  * Repackaged for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 16 Feb 2019 08:00:19 -0800

nss (2:3.42-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Hommey <glandium@debian.org>  Wed, 30 Jan 2019 16:47:58 +0900

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: nss
 Section: libs
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
 XSBC-Original-Maintainer: Maintainers of Mozilla-related packages <team+pkg-mozilla@tracker.debian.org>
 Uploaders: Mike Hommey <glandium@debian.org>
 Build-Depends: debhelper (>= 9.20160403),

=== debian/rules ===
--- 
+++ 
@@ -169,7 +169,7 @@
 endif
 
 override_dh_strip:
-	dh_strip --no-automatic-dbgsym
+	dh_strip --dbgsym-migration='libnss3-dbg (<< 2:3.37-1~)'
 	$(foreach lib,libsoftokn3.so libfreebl3.so libfreeblpriv3.so libnssdbm3.so, \
 		$(call cmd,umask 022; $(SHLIBSIGN) -v -i debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss/$(lib)))
 
@@ -193,3 +193,7 @@
 
 %:
 	dh $@
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+

## nss 3.42.1

=== nss/cmd/derdump/Makefile ===
#! gmake
# 
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

#######################################################################
# (1) Include initial platform-independent assignments (MANDATORY).   #
#######################################################################

include manifest.mn

#######################################################################
# (2) Include "global" configuration information. (OPTIONAL)          #
#######################################################################

include $(CORE_DEPTH)/coreconf/config.mk

#######################################################################
# (3) Include "component" configuration information. (OPTIONAL)       #
#######################################################################

#######################################################################
# (4) Include "local" platform-dependent assignments (OPTIONAL).      #
#######################################################################

include ../platlibs.mk

#######################################################################
# (5) Execute "global" rules. (OPTIONAL)                              #
#######################################################################

include $(CORE_DEPTH)/coreconf/rules.mk

#######################################################################
# (6) Execute "component" rules. (OPTIONAL)                           #
#######################################################################



#######################################################################
# (7) Execute "local" rules. (OPTIONAL).                              #
#######################################################################



include ../platrules.mk

=== debian/changelog ===
nss (2:3.42.1-1+deb10u9) buster-security; urgency=medium

  * d/patches: drop CVE-2023-6135 patches
  * nss: add basic autopkgtest tests
  * CVE-2024-6602: add patch to fix it
  * CVE-2024-6609: add patch to fix it
  * d/rules: disable useless build of GTESTS

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Sun, 27 Oct 2024 20:32:47 +0100

nss (2:3.42.1-1+deb10u8) buster-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team.
  * Add upstream patch for CVE-2024-0743, integer underflow can lead to
    potentially exploitable crash.
  * Add upstream patch for CVE-2023-5388, timing attack against RSA
    decryption in TLS. (Closes: #1056284)

 -- Tobias Frost <tobi@debian.org>  Sun, 10 Mar 2024 15:45:51 +0100

nss (2:3.42.1-1+deb10u7) buster-security; urgency=high

  * Non-maintainer upload by the LTS Security Team.
  * CVE-2020-25648: Tighten handling of CCS msgs in TLS 1.3 to avoid DoS.
  * CVE-2023-4421: Quieten PKCS#11 interface to avoid timing issues.
    - Pass --no-parallel to dh(1) and -j1 in override_dh_autobuild.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 28 Oct 2023 11:58:15 +0100

nss (2:3.42.1-1+deb10u6) buster-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix CVE-2020-6829, CVE-2020-12400, CVE-2020-12401, CVE-2020-12403 and
    CVE-2023-0767.
    Multiple security vulnerabilities have been discovered in nss, the
    Network Security Service libraries.
    CVE-2020-6829:
    When performing EC scalar point multiplication, the wNAF point
    multiplication algorithm was used; which leaked partial information about
    the nonce used during signature generation. Given an electro-magnetic trace
    of a few signature generations, the private key could have been computed.
    CVE-2020-12400:
    When converting coordinates from projective to affine, the modular
    inversion was not performed in constant time, resulting in a possible
    timing-based side channel attack.
    CVE-2020-12401:
    During ECDSA signature generation, padding applied in the nonce designed to
    ensure constant-time scalar multiplication was removed, resulting in
    variable-time execution dependent on secret data.
    CVE-2020-12403:
    A flaw was found in the way CHACHA20-POLY1305 was implemented in NSS in
    versions before 3.55. When using multi-part Chacha20, it could cause
    out-of-bounds reads. This issue was fixed by explicitly disabling
    multi-part ChaCha20 (which was not functioning correctly) and strictly
    enforcing tag length.
    CVE-2023-0767:
    Christian Holler discovered that incorrect handling of PKCS 12 Safe Bag
    attributes may result in execution of arbitrary code if a specially crafted
    PKCS 12 certificate bundle is processed.

 -- Markus Koschany <apo@debian.org>  Mon, 20 Feb 2023 14:50:05 +0100

nss (2:3.42.1-1+deb10u5) buster-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Check for missing signedData field (CVE-2022-22747)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 23 Jan 2022 08:56:42 +0100

nss (2:3.42.1-1+deb10u4) buster-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Ensure DER encoded signatures are within size limits (CVE-2021-43527)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 01 Dec 2021 20:42:14 +0100

nss (2:3.42.1-1+deb10u3) buster-security; urgency=medium

  * CVE-2019-17006 CVE-2019-17023 CVE-2020-12399 CVE-2020-12402

 -- Moritz Mühlenhoff <jmm@debian.org>  Wed, 08 Jul 2020 20:37:58 +0200

nss (2:3.42.1-1+deb10u2) buster-security; urgency=medium

  * CVE-2019-11745 CVE-2019-17007

 -- Moritz Mühlenhoff <jmm@debian.org>  Tue, 03 Dec 2019 22:17:43 +0100

nss (2:3.42.1-1+deb10u1) buster; urgency=medium

  * Fixes for CVE-2019-11719, CVE-2019-11727 and CVE-2019-11729 (in unstable
    these were addressed via the 2:3.45-1 upload to unstable)

 -- Moritz Mühlenhoff <jmm@debian.org>  Fri, 23 Aug 2019 00:03:22 +0200

nss (2:3.42.1-1) unstable; urgency=medium

  * New upstream release.
    - Fixes CVE-2018-18508. Closes: #921614.

 -- Mike Hommey <glandium@debian.org>  Wed, 13 Feb 2019 13:19:39 +0900

=== debian/rules ===
--- 
+++ 
@@ -98,13 +98,13 @@
 
 override_dh_auto_build:
 	$(MAKE) -C nss/coreconf/nsinstall \
-		$(COMMON_MAKE_FLAGS) \
+		$(COMMON_MAKE_FLAGS) -j1 \
 		CC=$(DEB_BUILD_GNU_TYPE)-gcc \
 		ARCHFLAG=
 
 	$(MAKE) -C nss \
 		all \
-		$(COMMON_MAKE_FLAGS) \
+		$(COMMON_MAKE_FLAGS) -j1 \
 		MOZILLA_CLIENT=1 \
 		NSPR_INCLUDE_DIR=/usr/include/nspr \
 		NSPR_LIB_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
@@ -115,6 +115,7 @@
 		DSO_LDOPTS='-shared $$(LDFLAGS)' \
 		NSS_USE_SYSTEM_SQLITE=1 \
 		NSS_ENABLE_ECC=1 \
+		NSS_DISABLE_GTESTS=1 \
 		CHECKLOC= \
 		$(TOOLCHAIN)
 
@@ -192,8 +193,4 @@
 	dh_builddeb -- -Zxz
 
 %:
-	dh $@
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-	
+	dh $@ --no-parallel

## nss 3.42.1.4

=== nss/Makefile ===
#! gmake
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

#######################################################################
# (1) Include initial platform-independent assignments (MANDATORY).   #
#######################################################################

include manifest.mn

#######################################################################
# (2) Include "global" configuration information. (OPTIONAL)          #
#######################################################################

include $(CORE_DEPTH)/coreconf/config.mk

#######################################################################
# (3) Include "component" configuration information. (OPTIONAL)       #
#######################################################################



#######################################################################
# (4) Include "local" platform-dependent assignments (OPTIONAL).      #
#######################################################################

ifdef NSS_DISABLE_GTESTS
DIRS := $(filter-out gtests,$(DIRS))
DIRS := $(filter-out cpputil,$(DIRS))
endif

#######################################################################
# (5) Execute "global" rules. (OPTIONAL)                              #
#######################################################################

include $(CORE_DEPTH)/coreconf/rules.mk

#######################################################################
# (6) Execute "component" rules. (OPTIONAL)                           #
#######################################################################



#######################################################################
# (7) Execute "local" rules. (OPTIONAL).                              #
#######################################################################

nss_build_all: build_nspr all latest

nss_clean_all: clobber_nspr clobber

NSPR_CONFIG_STATUS = $(CORE_DEPTH)/../nspr/$(OBJDIR_NAME)/config.status
NSPR_CONFIGURE = $(CORE_DEPTH)/../nspr/configure

#
# Translate coreconf build options to NSPR configure options.
#

ifeq ($(OS_TARGET),Android)
NSPR_CONFIGURE_OPTS += --with-android-ndk=$(ANDROID_NDK) \
                       --target=$(ANDROID_PREFIX) \
                       --with-android-version=$(OS_TARGET_RELEASE) \
                       --with-android-toolchain=$(ANDROID_TOOLCHAIN) \
                       --with-android-platform=$(ANDROID_SYSROOT)
endif
ifdef BUILD_OPT
NSPR_CONFIGURE_OPTS += --disable-debug --enable-optimize
endif
ifdef USE_X32
NSPR_CONFIGURE_OPTS += --enable-x32
endif
ifdef USE_64
NSPR_CONFIGURE_OPTS += --enable-64bit
endif
ifeq ($(OS_TARGET),WIN95)
NSPR_CONFIGURE_OPTS += --enable-win32-target=WIN95
endif
ifdef USE_DEBUG_RTL
NSPR_CONFIGURE_OPTS += --enable-debug-rtl
endif
ifdef USE_STATIC_RTL
NSPR_CONFIGURE_OPTS += --enable-static-rtl
endif
ifdef NS_USE_GCC
NSPR_CONFIGURE_ENV = CC=gcc CXX=g++
endif
ifdef CC
NSPR_CONFIGURE_ENV = CC=$(CC)
endif
ifdef CCC
NSPR_CONFIGURE_ENV += CXX=$(CCC)
endif
# Remove -arch definitions. NSPR can't handle that.
NSPR_CONFIGURE_ENV := $(filter-out -arch x86_64,$(NSPR_CONFIGURE_ENV))
NSPR_CONFIGURE_ENV := $(filter-out -arch i386,$(NSPR_CONFIGURE_ENV))
NSPR_CONFIGURE_ENV := $(filter-out -arch ppc,$(NSPR_CONFIGURE_ENV))

#
# Some pwd commands on Windows (for example, the pwd
# command in Cygwin) return a pathname that begins
# with a (forward) slash.  When such a pathname is
# passed to Windows build tools (for example, cl), it
# is mistaken as a command-line option.  If that is the case,
# we use a relative pathname as NSPR's prefix on Windows.
#

USEABSPATH="YES"
ifeq (,$(filter-out WIN%,$(OS_TARGET)))
ifeq (,$(findstring :,$(shell pwd)))
USEABSPATH="NO"
endif
endif
ifeq ($(USEABSPATH),"YES")
NSPR_PREFIX = $(shell pwd)/../dist/$(OBJDIR_NAME)
else
NSPR_PREFIX = $$(topsrcdir)/../dist/$(OBJDIR_NAME)
endif

ifndef NSS_GYP_PREFIX
$(NSPR_CONFIG_STATUS): $(NSPR_CONFIGURE)
	mkdir -p $(CORE_DEPTH)/../nspr/$(OBJDIR_NAME)
	cd $(CORE_DEPTH)/../nspr/$(OBJDIR_NAME) ; \
	$(NSPR_CONFIGURE_ENV) sh ../configure \
	$(NSPR_CONFIGURE_OPTS) \
	--with-dist-prefix='$(NSPR_PREFIX)' \
	--with-dist-includedir='$(NSPR_PREFIX)/include'
else
$(NSPR_CONFIG_STATUS): $(NSPR_CONFIGURE)
	mkdir -p $(CORE_DEPTH)/../nspr/$(OBJDIR_NAME)
	cd $(CORE_DEPTH)/../nspr/$(OBJDIR_NAME) ; \
	$(NSPR_CONFIGURE_ENV) sh ../configure \
	$(NSPR_CONFIGURE_OPTS) \
	--prefix='$(NSS_GYP_PREFIX)'
endif

build_nspr: $(NSPR_CONFIG_STATUS)
	$(MAKE) -C $(CORE_DEPTH)/../nspr/$(OBJDIR_NAME)

install_nspr: build_nspr
	$(MAKE) -C $(CORE_DEPTH)/../nspr/$(OBJDIR_NAME) install

clobber_nspr: $(NSPR_CONFIG_STATUS)
	$(MAKE) -C $(CORE_DEPTH)/../nspr/$(OBJDIR_NAME) clobber

build_docs:
	$(MAKE) -C $(CORE_DEPTH)/doc

clean_docs:
	$(MAKE) -C $(CORE_DEPTH)/doc clean

nss_RelEng_bld: import all

package:
	$(MAKE) -C pkg publish

latest:
	echo $(OBJDIR_NAME) > $(CORE_DEPTH)/../dist/latest

=== debian/changelog ===
nss (2:3.42.1.4-1+dde) unstable; urgency=low

  * ['Autobuild release-candidate: 2ea56666c5313a5d4cd17c4e79767555d18258f3']

 -- shuttle <shuttle@deepin.com>  Thu, 29 Oct 2020 16:57:26 +0000

## nss 3.42.1.7

=== nss/lib/ckfw/dbm/Makefile ===
# 
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

include manifest.mn
include config.mk
include $(CORE_DEPTH)/coreconf/config.mk
include $(CORE_DEPTH)/coreconf/rules.mk

=== debian/changelog ===
nss (2:3.42.1.7-1+deepin1) unstable; urgency=medium

  * fix CVE-2023-0767

 -- zengwei <zengwei1@uniontech.com>  Tue, 21 Feb 2023 09:39:47 +0800

nss (2:3.42.1.6-1+dde) unstable; urgency=low

  * Check for missing signedData field (CVE-2022-22747)

 -- tangmeng <tangmeng@uniontech.com>  Mon, 21 Mar 2022 16:45:37 +0800

nss (2:3.42.1.5-1+dde) unstable; urgency=low

  * Ensure DER encoded signatures are within size limits (CVE-2021-43527)

 -- tangmeng <tangmeng@uniontech.com>  Fri, 07 Jan 2022 16:01:54 +0800

=== debian/rules ===
--- 
+++ 
@@ -12,9 +12,12 @@
 $(call lazy,CPPFLAGS,$$(shell dpkg-buildflags --get CPPFLAGS))
 $(call lazy,LDFLAGS,$$(shell dpkg-buildflags --get LDFLAGS))
 
-PREPROCESS_FILES := $(wildcard debian/*.in)
+PREPROCESS_FILES := $(wildcard debian/*.in) nss/pkg/pkg-config/nss-config.in
+PREPROCESSED_FILES := $(addprefix debian/,$(notdir $(PREPROCESS_FILES:.in=)))
 
-$(PREPROCESS_FILES:.in=): %: %.in
+$(filter debian/%,$(PREPROCESS_FILES:.in=)): %: %.in
+debian/nss-config: nss/pkg/pkg-config/nss-config.in
+$(PREPROCESSED_FILES):
 	sed 's,/@DEB_HOST_MULTIARCH@,$(DEB_HOST_MULTIARCH:%=/%),g;$(EXTRA_REPLACES)' $< > $@
 
 UPSTREAM_VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: *\([0-9]*:\)\?\([^~]*\)\(~.*\)\?-.*$$/\2/ p')
@@ -23,7 +26,7 @@
 MOD_PATCH_VERSION := $(or $(word 3, $(subst ., ,$(UPSTREAM_VERSION))),0)
 
 debian/nss.pc: EXTRA_REPLACES := s/@VERSION@/$(UPSTREAM_VERSION)/
-debian/nss-config: EXTRA_REPLACES := s/@MOD_MAJOR_VERSION@/$(MOD_MAJOR_VERSION)/;s/@MOD_MINOR_VERSION@/$(MOD_MINOR_VERSION)/;s/@MOD_PATCH_VERSION@/$(MOD_PATCH_VERSION)/
+debian/nss-config: EXTRA_REPLACES := s/@MOD_MAJOR_VERSION@/$(MOD_MAJOR_VERSION)/;s/@MOD_MINOR_VERSION@/$(MOD_MINOR_VERSION)/;s/@MOD_PATCH_VERSION@/$(MOD_PATCH_VERSION)/;s/@prefix@/\/usr/
 debian/libnss3.lintian-overrides: EXTRA_REPLACES := s,/@DEB_HOST_MULTIARCH_WC@,$(DEB_HOST_MULTIARCH:%=/*),g
 
 TOOLCHAIN :=
@@ -98,13 +101,13 @@
 
 override_dh_auto_build:
 	$(MAKE) -C nss/coreconf/nsinstall \
-		$(COMMON_MAKE_FLAGS) -j1 \
+		$(COMMON_MAKE_FLAGS) \
 		CC=$(DEB_BUILD_GNU_TYPE)-gcc \
 		ARCHFLAG=
 
 	$(MAKE) -C nss \
 		all \
-		$(COMMON_MAKE_FLAGS) -j1 \
+		$(COMMON_MAKE_FLAGS) \
 		MOZILLA_CLIENT=1 \
 		NSPR_INCLUDE_DIR=/usr/include/nspr \
 		NSPR_LIB_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
@@ -115,7 +118,6 @@
 		DSO_LDOPTS='-shared $$(LDFLAGS)' \
 		NSS_USE_SYSTEM_SQLITE=1 \
 		NSS_ENABLE_ECC=1 \
-		NSS_DISABLE_GTESTS=1 \
 		CHECKLOC= \
 		$(TOOLCHAIN)
 
@@ -125,11 +127,11 @@
 		$(COMMON_MAKE_FLAGS) \
 		BUILD_OPT=1
 
-	rm -rf $(DISTDIR) $(PREPROCESS_FILES:.in=)
+	rm -rf $(DISTDIR) $(PREPROCESSED_FILES)
 
 manpage = $(addsuffix .1,$(addprefix nss/doc/nroff/,$(1)))
 
-override_dh_auto_install: $(PREPROCESS_FILES:.in=)
+override_dh_auto_install: $(PREPROCESSED_FILES)
 	install -m 755 -d debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss debian/libnss3-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
 	install -m 644 -t debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH) \
 		$(DISTDIR)/lib/libnss3.so \
@@ -193,4 +195,4 @@
 	dh_builddeb -- -Zxz
 
 %:
-	dh $@ --no-parallel
+	dh $@

## nss 3.45

=== debian/changelog ===
nss (2:3.45-1ubuntu2.4) eoan-security; urgency=medium

  * SECURITY UPDATE: Side channel vulnerabilities during RSA key generation
    - debian/patches/CVE-2020-12402.patch: use constant-time GCD and
      modular inversion in nss/lib/freebl/mpi/mpi.c,
      nss/lib/freebl/mpi/mpi.h, nss/lib/freebl/mpi/mplogic.c.
    - CVE-2020-12402

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 22 Jun 2020 13:35:40 -0400

nss (2:3.45-1ubuntu2.3) eoan-security; urgency=medium

  * SECURITY UPDATE: invalid state after HelloRetryRequest
    - debian/patches/CVE-2019-17023-1.patch: prevent negotiation of
      versions lower than 1.3 after HelloRetryRequest in
      nss/lib/ssl/ssl3con.c, nss/lib/ssl/tls13con.c.
    - debian/patches/CVE-2019-17023-2.patch: add new tests for version
      limitations after a HRR in nss/gtests/ssl_gtest/ssl_hrr_unittest.cc.
    - CVE-2019-17023
  * SECURITY UPDATE: Timing attack during DSA key generation
    - debian/patches/CVE-2020-12399.patch: force a fixed length for DSA
      exponentiation in nss/lib/freebl/dsa.c.
    - CVE-2020-12399

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 10 Jun 2020 12:57:22 -0400

nss (2:3.45-1ubuntu2.2) eoan-security; urgency=medium

  * SECURITY UPDATE: Possible wrong length for cryptographic primitives input
    - debian/patches/CVE-2019-17006.patch: adds checks for length of crypto
      primitives in nss/lib/freebl/chacha20poly1305.c,
      nss/lib/freebl/ctr.c, nss/lib/freebl/gcm.c,
      nss/lib/freebl/intel-gcm-wrap.c,
      nss/lib/freebl/rsapkcs.c.
    - CVE-2019-17006

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Tue, 07 Jan 2020 15:31:35 -0300

nss (2:3.45-1ubuntu2.1) eoan-security; urgency=medium

  * SECURITY UPDATE: out-of-bounds write in NSC_EncryptUpdate
    - debian/patches/CVE-2019-11745.patch: use maxout not block size in
      nss/lib/softoken/pkcs11c.c.
    - CVE-2019-11745

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 26 Nov 2019 08:35:22 -0500

nss (2:3.45-1ubuntu2) eoan; urgency=medium

  * Disable reading fips_enabled flag in FIPS mode. libnss is
    not a FIPS certified library. (LP: #1837734)

 -- Vineetha Kamath <vineetha.hari.pai@canonical.com>  Tue, 23 Jul 2019 20:58:12 +0000

nss (2:3.45-1ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/libnss3.links: make freebl3 available as library (LP 1744328)
    - d/control: add dh-exec to Build-Depends
    - d/rules: make mkdir tolerate debian/tmp existing (due to dh-exec)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 11 Jul 2019 11:49:44 +0200

nss (2:3.45-1) unstable; urgency=medium

  * New upstream release.
    - Fixes CVE-2019-11727 and CVE-2019-11719.
  * debian/libnss3.symbols: Add NSS_3_45 symbol version.

 -- Mike Hommey <glandium@debian.org>  Wed, 10 Jul 2019 07:34:18 +0900

nss (2:3.44+really3.42.1-2) unstable; urgency=medium

  * debian/rules: Fix version exposed in nss-config and nss.pc.

 -- Mike Hommey <glandium@debian.org>  Wed, 05 Jun 2019 06:36:00 +0900

nss (2:3.44.0-1) experimental; urgency=medium

  * debian/libnss3.symbols:
    - Update the version needed for
    SSL_Get{CipherSuite,Channel,PreliminaryChannel}Info.
    - Adjust versions so that 3.44+really3.42.1-1 is considered older where it
    matters.

 -- Mike Hommey <glandium@debian.org>  Sun, 02 Jun 2019 13:06:26 +0900

nss (2:3.44+really3.42.1-1) unstable; urgency=medium

  * Reverse to 3.42.1. Building against 3.44 induces some behavior
    differences when running against older versions, which could normally
    be solved with updates to the symbols file, but since 3.44 is not meant
    to ship in Buster, avoid disruption for nss reverse dependencies until
    Buster is released by going back to previous version.

 -- Mike Hommey <glandium@debian.org>  Sun, 02 Jun 2019 12:42:20 +0900

nss (2:3.44-1) unstable; urgency=medium

  * New upstream release.
  * debian/libnss3.symbols: Add NSS_3_43 and NSS_3_44 symbol versions.

 -- Mike Hommey <glandium@debian.org>  Sat, 01 Jun 2019 11:12:17 +0900

nss (2:3.42-1ubuntu2) disco; urgency=medium

  * SECURITY UPDATE: DoS in NULL pointer dereference in CMS functions
    - debian/patches/CVE-2018-18508-1.patch: add null checks in
      nss/lib/smime/cmscinfo.c, nss/lib/smime/cmsdigdata.c,
      nss/lib/smime/cmsencdata.c, nss/lib/smime/cmsenvdata.c,
      nss/lib/smime/cmsmessage.c, nss/lib/smime/cmsudf.c.
    - debian/patches/CVE-2018-18508-2.patch: add null checks in
      nss/lib/smime/cmsmessage.c.
    - CVE-2018-18508

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 19 Feb 2019 12:04:49 +0100

nss (2:3.42-1ubuntu1) disco; urgency=medium

  * Merge with Debian unstable (LP: #1813593). Remaining changes:
    - d/libnss3.links: make freebl3 available as library (LP 1744328)
    - d/control: add dh-exec to Build-Depends
    - d/rules: make mkdir tolerate debian/tmp existing (due to dh-exec)

 -- Karl Stenerud <kstenerud@gmail.com>  Mon, 04 Feb 2019 11:03:32 +0100

nss (2:3.39-1ubuntu1) disco; urgency=medium

  * Merge with Debian unstable. Remaining changes (LP: #1803707):
    - d/libnss3.links: make freebl3 available as library (LP 1744328)
      - d/control: add dh-exec to Build-Depends
      - d/rules: make mkdir tolerate debian/tmp existing (due to dh-exec)
  * Dropped changes:
    - d/rules: when building with -O3 on ppc64el this FTBFS, build with
      -Wno-error=maybe-uninitialized to avoid that

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Fri, 16 Nov 2018 14:27:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: nss
 Section: libs
 Priority: optional
-Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Maintainers of Mozilla-related packages <team+pkg-mozilla@tracker.debian.org>
 Uploaders: Mike Hommey <glandium@debian.org>
 Build-Depends: debhelper (>= 9.20160403),
+ dh-exec,
  dpkg-dev (>= 1.17.14),
  libnspr4-dev (>= 2:4.12),
  zlib1g-dev,
